{% extends 'base.html.twig' %}

{% block title %}{% trans with {'organization': space.organizationName} %}Space for {organization}{% endtrans %}{% endblock %}

{% block body %}
    {{ parent() }}
    <div>
        <h1>{% trans %}Space details{% endtrans %}</h1>
        <p><a href="https://{{ space.domain }}.frama.space" target="_blank" rel="noopener">https://{{ space.domain }}
                .frama.space
                <svg class="ml-1" style="height: 1rem" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
                    <!--! Font Awesome Pro 6.2.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. -->
                    <path d="M320 0c-17.7 0-32 14.3-32 32s14.3 32 32 32h82.7L201.4 265.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L448 109.3V192c0 17.7 14.3 32 32 32s32-14.3 32-32V32c0-17.7-14.3-32-32-32H320zM80 32C35.8 32 0 67.8 0 112V432c0 44.2 35.8 80 80 80H400c44.2 0 80-35.8 80-80V320c0-17.7-14.3-32-32-32s-32 14.3-32 32V432c0 8.8-7.2 16-16 16H80c-8.8 0-16-7.2-16-16V112c0-8.8 7.2-16 16-16H192c17.7 0 32-14.3 32-32s-14.3-32-32-32H80z"/>
                </svg>
            </a></p>

        <a href="{{ easy_admin_space_detail_url }}">{% trans %}Back to administration space detail{% endtrans %}</a>
        <h2>{% trans %}Technical details{% endtrans %}</h2>
        <div class="card mb-4">
            <ul class="list-group list-group-flush">
                <li class="list-group-item">
                    <b>{% trans %}Space used{% endtrans %}</b><br>
                    {% if statistics %}
                        {% set used = storage_quota - statistics.nextcloud.system.freespace %}
                        {% set formatted_used = used | formatBytes %}
                        {% set formatted_storage_quota = storage_quota | formatBytes %}
                        {% set percentage_used = used * 100 / storage_quota %}
                        {% trans with {'used_storage': formatted_used, 'storage_quota': formatted_storage_quota, 'percentage_used': percentage_used | round } %}{used_storage} / {storage_quota} ({ percentage_used }%){% endtrans %}
                        <div class="progress" role="progressbar" aria-label="{% trans %}Storage percentage used progress{% endtrans %}" aria-valuenow="{{ percentage_used }}" aria-valuemin="0" aria-valuemax="100">
                            <div class="progress-bar {% if percentage_used > 90 %}bg-danger{% elseif percentage_used > 70 %}bg-warning text-dark{% endif %}" style="width: {{ percentage_used }}%">{{ percentage_used | round }}%</div>
                        </div>
                        <span class="text-body-secondary">{% trans %}Note: These numbers include the file versions and the files in the trashbin. We're currently working on having better numbers.{% endtrans %}</span>
                    {% else %}
                        <i>{% trans %}Unknown{% endtrans %}</i>
                    {% endif %}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Number of users{% endtrans %}</b><br>
                    {% if statistics %}
                    {% trans with {'total_users': statistics.nextcloud.storage.num_users | format_number, 'active_users': statistics.activeUsers.last24hours | format_number } %}{total_users} ({active_users} active in the last 24 hours){% endtrans %}
                    {% else %}
                        <i>{% trans %}Unknown{% endtrans %}</i>
                    {% endif %}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Number of files{% endtrans %}</b><br>
                    {% if statistics %}
                        {% trans with {'total_files': statistics.nextcloud.storage.num_files | format_number, 'total_shares': statistics.nextcloud.shares.num_shares | format_number } %}{total_files} ({total_shares} shares){% endtrans %}
                    {% else %}
                        <i>{% trans %}Unknown{% endtrans %}</i>
                    {% endif %}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Office solution type{% endtrans %}</b><br>
                    {% if space.futureOfficeType == constant('App\\Entity\\Space::SPACE_OFFICE_TYPE_COLLABORA_OFFICE') %}
                        {% trans %}Collabora Office{% endtrans %}
                    {% elseif space.futureOfficeType == constant('App\\Entity\\Space::SPACE_OFFICE_TYPE_SHARED_COLLABORA_OFFICE') %}
                        {% trans %}Collabora Office (Shared){% endtrans %}
                    {% elseif space.futureOfficeType == constant('App\\Entity\\Space::SPACE_OFFICE_TYPE_ONLYOFFICE') %}
                        {% trans %}OnlyOffice{% endtrans %}
                    {% elseif space.futureOfficeType == constant('App\\Entity\\Space::SPACE_OFFICE_TYPE_SHARED_ONLYOFFICE') %}
                        {% trans %}OnlyOffice (Shared){% endtrans %}
                    {% else %}
                        {% trans %}Unknown{% endtrans %}
                    {% endif %}
                </li>
            </ul>
        </div>
        <div>
        {% for monitoring_report in errored_monitoring_reports %}
            {% if not monitoring_report.returnStatusCodeOK %}
                <div class="alert alert-danger" role="alert">
                    <b>{% trans with {'day': monitoring_report.updatedAt | format_datetime} %}Monitoring report for {day} has errored{% endtrans %}</b>
                    <p>{% trans with {'code': monitoring_report.returnStatusCode} %}Server return HTTP code {code}{% endtrans %}</p>
                    <details>
                        <pre>{{ monitoring_report.returnErrorDetails }}</pre>
                    </details>
                </div>
            {% endif %}
        {% endfor %}
        </div>
        <div class="row row-cols-1 row-cols-sm-2">
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: used_space_graph, title: 'Evolution of used space per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_users_graph, title: 'Evolution of the number of users per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_users_5m_graph, title: 'Evolution of the number of users in the last 5 minutes per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_users_1h_graph, title: 'Evolution of the number of users in the last hour per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_users_24h_graph, title: 'Evolution of the number of users in the last 24 hours per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_users_7d_graph, title: 'Evolution of the number of users in the last 7 days per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_users_1M_graph, title: 'Evolution of the number of users in the last month per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_users_3M_graph, title: 'Evolution of the number of users in the last 3 months per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_users_6M_graph, title: 'Evolution of the number of users in the last 6 months per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_users_1Y_graph, title: 'Evolution of the number of users in the last year per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_files_graph, title: 'Evolution of the number of files per day' | trans }) }}
            </div>
            <div class="col d-flex">
                {{ component('Admin:StatisticsCardComponent', { chart: number_of_shares_graph, title: 'Evolution of the number of shares per day' | trans }) }}
            </div>
        </div>
        <a href="{{ easy_admin_space_detail_url }}">{% trans %}Back to administration space detail{% endtrans %}</a>
    </div>
{% endblock %}